Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 58275)
@@ -5,111 +5,186 @@
 import { ErrorCodes} from '../../utils/properties/errorCodes';
 import { RouterHelper } from '../../utils/routerHelper.class';
 import { EnvProperties } from '../../utils/properties/env-properties';
+import {AlertModal} from "../../utils/modal/alert";
 
 @Component({
-    selector: 'relatedDatasourcesTab',
-    template: `
-        <errorMessages  [status]="[fetchPublications.searchUtils.status, fetchDatasets.searchUtils.status, fetchSoftware.searchUtils.status, fetchOrps.searchUtils.status]"
-                        [type]="'related content providers'" tab_error_class=true>
-        </errorMessages>
+  selector: 'relatedDatasourcesTab',
+  template: `
+<!--      <errorMessages  [status]="[fetchPublications.searchUtils.status, fetchDatasets.searchUtils.status, fetchSoftware.searchUtils.status, fetchOrps.searchUtils.status]"-->
+<!--                        [type]="'related content providers'" tab_error_class=true>-->
+<!--      </errorMessages>-->
 
-        <div *ngIf="(fetchPublications.searchUtils.status == errorCodes.DONE || fetchDatasets.searchUtils.status == errorCodes.DONE
-                      || fetchSoftware.searchUtils.status == errorCodes.DONE || fetchOrps.searchUtils.status == errorCodes.DONE)
-                    && !loading">
-            <div *ngIf="results && results.size > pageSize" class="uk-margin">
-              <span class="uk-text-bold">{{results.size | number}} related content providers, page {{page | number}} of {{totalPages(results.size) | number}}</span>
-              <paging-no-load class="uk-float-right" [currentPage]="page" [totalResults]="results.size" [size]="pageSize" (pageChange)="updatePage($event)"></paging-no-load>
-            </div>
+<!--      <div *ngIf="(fetchPublications.searchUtils.status == errorCodes.DONE || fetchDatasets.searchUtils.status == errorCodes.DONE-->
+<!--                   || fetchSoftware.searchUtils.status == errorCodes.DONE || fetchOrps.searchUtils.status == errorCodes.DONE)-->
+<!--                   && !loading">-->
+<!--&lt;!&ndash;            <div *ngIf="results && results.size > pageSize" class="uk-margin">&ndash;&gt;-->
+<!--&lt;!&ndash;              <span class="uk-text-bold">{{results.size | number}} related content providers, page {{page | number}} of {{totalPages(results.size) | number}}</span>&ndash;&gt;-->
+<!--&lt;!&ndash;              <paging-no-load class="uk-float-right" [currentPage]="page" [totalResults]="results.size" [size]="pageSize" (pageChange)="updatePage($event)"></paging-no-load>&ndash;&gt;-->
+<!--&lt;!&ndash;            </div>&ndash;&gt;-->
+<!--        <no-load-paging *ngIf="results.size >pageSize"-->
+<!--                        [type]="'content providers'"-->
+<!--                        (pageChange)="updatePage($event)"-->
+<!--                        [page]="page" [pageSize]="pageSize"-->
+<!--                        [totalResults]="results.size">-->
+<!--        </no-load-paging>-->
+<!--          -->
+<!--            <table class="uk-table uk-table-striped">-->
+<!--                <thead>-->
+<!--                    <tr>-->
+<!--                        <th class="uk-text-center">Content Provider Name</th>-->
+<!--                        <th *ngIf="fetchPublications.results.length > 0 || fetchPublications.searchUtils.status == errorCodes.ERROR"-->
+<!--                            class="uk-text-center">-->
+<!--                          Number of Publications-->
+<!--                        </th>-->
+<!--                        <th *ngIf="fetchDatasets.results.length > 0 || fetchDatasets.searchUtils.status == errorCodes.ERROR"-->
+<!--                            class="uk-text-center">-->
+<!--                          Number of Research Data-->
+<!--                        </th>-->
+<!--                        <th *ngIf="fetchSoftware.results.length > 0 || fetchSoftware.searchUtils.status == errorCodes.ERROR"-->
+<!--                            class="uk-text-center">-->
+<!--                          Number of Software-->
+<!--                        </th>-->
+<!--                        <th *ngIf="fetchOrps.results.length > 0 || fetchOrps.searchUtils.status == errorCodes.ERROR"-->
+<!--                            class="uk-text-center">-->
+<!--                          Number of Other Research Products-->
+<!--                        </th>-->
+<!--                    </tr>-->
+<!--                </thead>-->
+<!--                <tbody>-->
+<!--                  <ng-container *ngIf="results">-->
+<!--                      <ng-container *ngFor="let id of getKeys(results); let i=index">-->
+<!--                        <tr *ngIf="i>=(page-1)*pageSize && i<page*pageSize">-->
+<!--                          <td class="uk-text-center">-->
+<!--                              <a [queryParams]="{datasourceId: id}" routerLinkActive="router-link-active" routerLink="/search/dataprovider" (click)="onLinkClick()">-->
+<!--                                  {{results.get(id).name}}-->
+<!--                              </a>-->
+<!--                          </td>-->
+<!--                          <td *ngIf="fetchPublications.results.length > 0" class="uk-text-center">-->
+<!--&lt;!&ndash;                            *ngIf="results.get(id).countPublications > 0"&ndash;&gt;-->
+<!--                            <a -->
+<!--                                [queryParams]="routerHelper.createQueryParams(['f0', 'fv0', 'f1', 'fv1', 'type', 'qf'], ['resulthostingdatasourceid', id, 'collectedfromdatasourceid', dataproviderId, 'publications', 'false'])"-->
+<!--                                routerLinkActive="router-link-active" [routerLink]="properties.searchLinkToAdvancedResults" (click)="onLinkClick()">-->
+<!--                                  {{results.get(id).countPublications | number}}-->
+<!--                            </a>-->
+<!--&lt;!&ndash;                            <span *ngIf="results.get(id).countPublications <= 0">-</span>&ndash;&gt;-->
+<!--                          </td>-->
+<!--                          <td *ngIf="fetchPublications.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>-->
 
-            <table class="uk-table uk-table-striped">
-                <thead>
-                    <tr>
-                        <th class="uk-text-center">Content Provider Name</th>
-                        <th *ngIf="fetchPublications.results.length > 0 || fetchPublications.searchUtils.status == errorCodes.ERROR"
-                            class="uk-text-center">
-                          Number of Publications
-                        </th>
-                        <th *ngIf="fetchDatasets.results.length > 0 || fetchDatasets.searchUtils.status == errorCodes.ERROR"
-                            class="uk-text-center">
-                          Number of Research Data
-                        </th>
-                        <th *ngIf="fetchSoftware.results.length > 0 || fetchSoftware.searchUtils.status == errorCodes.ERROR"
-                            class="uk-text-center">
-                          Number of Software
-                        </th>
-                        <th *ngIf="fetchOrps.results.length > 0 || fetchOrps.searchUtils.status == errorCodes.ERROR"
-                            class="uk-text-center">
-                          Number of Other Research Products
-                        </th>
-                    </tr>
-                </thead>
-                <tbody>
-                  <ng-container *ngIf="results">
-                      <ng-container *ngFor="let id of getKeys(results); let i=index">
-                        <tr *ngIf="i>=(page-1)*pageSize && i<page*pageSize">
-                          <td class="uk-text-center">
-                              <a [queryParams]="{datasourceId: id}" routerLinkActive="router-link-active" routerLink="/search/dataprovider">
-                                  {{results.get(id).name}}
-                              </a>
-                          </td>
-                          <td *ngIf="fetchPublications.results.length > 0" class="uk-text-center">
-                              <a  [queryParams]="routerHelper.createQueryParams(['hostedBy', 'hs', 'collectedFrom', 'cl'], [id, 'and', dataproviderId, 'and'])"
-                                  routerLinkActive="router-link-active" [routerLink]="linkToSearchPublications">
-                                      {{results.get(id).countPublications | number}}
-                              </a>
-                          </td>
-                          <td *ngIf="fetchPublications.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>
+<!--                          <td *ngIf="fetchDatasets.results.length > 0" class="uk-text-center">-->
+<!--&lt;!&ndash;                            *ngIf="results.get(id).countDatasets > 0"&ndash;&gt;-->
+<!--                            <a  -->
+<!--                                [queryParams]="routerHelper.createQueryParams(['f0', 'fv0', 'f1', 'fv1', 'type', 'qf'], ['resulthostingdatasourceid', id, 'collectedfromdatasourceid', dataproviderId, 'datasets', 'false'])"-->
+<!--                                routerLinkActive="router-link-active" [routerLink]="properties.searchLinkToAdvancedResults" (click)="onLinkClick()">-->
+<!--                                  {{results.get(id).countDatasets | number}}-->
+<!--                            </a>-->
+<!--&lt;!&ndash;                            <span *ngIf="results.get(id).countDatasets <= 0">-</span>&ndash;&gt;-->
+<!--                          </td>-->
+<!--                          <td *ngIf="fetchDatasets.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>-->
 
-                          <td *ngIf="fetchDatasets.results.length > 0" class="uk-text-center">
-                              <a  [queryParams]="routerHelper.createQueryParams(['hostedBy', 'hs', 'collectedFrom', 'cl'], [id, 'and', dataproviderId, 'and'])"
-                                  routerLinkActive="router-link-active" [routerLink]="linkToSearchResearchData">
-                                      {{results.get(id).countDatasets | number}}
-                              </a>
-                          </td>
-                          <td *ngIf="fetchDatasets.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>
+<!--                          <td *ngIf="fetchSoftware.results.length > 0" class="uk-text-center">-->
+<!--&lt;!&ndash;                            *ngIf="results.get(id).countSoftware > 0"&ndash;&gt;-->
+<!--                            <a  -->
+<!--                                [queryParams]="routerHelper.createQueryParams(['f0', 'fv0', 'f1', 'fv1', 'type', 'qf'], ['resulthostingdatasourceid', id, 'collectedfromdatasourceid', dataproviderId, 'software', 'false'])"-->
+<!--                                routerLinkActive="router-link-active" [routerLink]="properties.searchLinkToAdvancedResults" (click)="onLinkClick()">-->
+<!--                                  {{results.get(id).countSoftware | number}}-->
+<!--                            </a>-->
+<!--&lt;!&ndash;                            <span *ngIf="results.get(id).countSoftware <= 0">-</span>&ndash;&gt;-->
+<!--                          </td>-->
+<!--                          <td *ngIf="fetchSoftware.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>-->
 
-                          <td *ngIf="fetchSoftware.results.length > 0" class="uk-text-center">
-                              <a  [queryParams]="routerHelper.createQueryParams(['hostedBy', 'hs', 'collectedFrom', 'cl'], [id, 'and', dataproviderId, 'and'])"
-                                  routerLinkActive="router-link-active" [routerLink]="linkToSearchSoftware">
-                                      {{results.get(id).countSoftware | number}}
-                              </a>
-                          </td>
-                          <td *ngIf="fetchSoftware.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>
+<!--                          <td *ngIf="fetchOrps.results.length > 0" class="uk-text-center">-->
+<!--&lt;!&ndash;                            *ngIf="results.get(id).countOrps > 0"&ndash;&gt;-->
+<!--                            <a -->
+<!--                                [queryParams]="routerHelper.createQueryParams(['f0', 'fv0', 'f1', 'fv1', 'type', 'qf'], ['resulthostingdatasourceid', id, 'collectedfromdatasourceid', dataproviderId, 'other', 'false'])"-->
+<!--                                routerLinkActive="router-link-active" [routerLink]="properties.searchLinkToAdvancedResults" (click)="onLinkClick()">-->
+<!--                                  {{results.get(id).countOrps | number}}-->
+<!--                            </a>-->
+<!--&lt;!&ndash;                            <span *ngIf="results.get(id).countOrps <= 0">-</span>&ndash;&gt;-->
+<!--                          </td>-->
+<!--                          <td *ngIf="fetchOrps.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>-->
+<!--                        </tr>-->
+<!--                      </ng-container>-->
+<!--                    </ng-container>-->
+<!--                </tbody>-->
+<!--            </table>-->
+<!--        </div>-->
 
-                          <td *ngIf="fetchOrps.results.length > 0" class="uk-text-center">
-                              <a  [queryParams]="routerHelper.createQueryParams(['hostedBy', 'hs', 'collectedFrom', 'cl'], [id, 'and', dataproviderId, 'and'])"
-                                  routerLinkActive="router-link-active" [routerLink]="linkToSearchOrps">
-                                      {{results.get(id).countOrps | number}}
-                              </a>
-                          </td>
-                          <td *ngIf="fetchOrps.searchUtils.status == errorCodes.ERROR" class="uk-text-center">-</td>
-                        </tr>
-                      </ng-container>
-                    </ng-container>
-                </tbody>
-            </table>
-        </div>
-    `
+
+    <errorMessages  [status]="[fetchResults.searchUtils.status]"
+                    [type]="'related content providers'" tab_error_class=true>
+    </errorMessages>
+    
+    <div *ngIf="fetchResults.searchUtils.status == errorCodes.DONE && !loading">
+      <div class="uk-text-muted uk-text-small uk-margin-bottom">
+        *Only top 100 content providers that host research outcomes and are aggregated by {{collectedFromName}} are shown.
+      </div>
+      <no-load-paging *ngIf="results.length >pageSize"
+                      [type]="'content providers'"
+                      (pageChange)="updatePage($event)"
+                      [page]="page" [pageSize]="pageSize"
+                      [totalResults]="results.length">
+      </no-load-paging>
+    
+      <table class="uk-table uk-table-striped">
+        <thead>
+        <tr>
+          <th class="uk-text-center">Content Provider Name</th>
+          <th *ngIf="fetchResults.results.length > 0 || fetchResults.searchUtils.status == errorCodes.ERROR"
+              class="uk-text-center">
+            Number of Research Outcomes
+          </th>
+        </tr>
+        </thead>
+        <tbody>
+          <ng-container *ngIf="results">
+            <ng-container *ngFor="let result of results; let i=index">
+              <tr *ngIf="i>=(page-1)*pageSize && i<page*pageSize">
+                <td class="uk-text-center">
+                  <a [queryParams]="{datasourceId: result.id}" routerLinkActive="router-link-active" routerLink="/search/dataprovider"
+                     (click)="onLinkClick()">
+                    {{result.name}}
+                  </a>
+                </td>
+                <td *ngIf="fetchResults.results.length > 0" class="uk-text-center">
+                  <a
+                    [queryParams]="routerHelper.createQueryParams(['f0', 'fv0', 'f1', 'fv1', 'f2', 'fv2', 'qf'], ['collectedfromdatasourceid', dataproviderId, 'resulthostingdatasourceid,or', dataproviderId, 'resulthostingdatasourceid', result.id, 'false'])"
+                    routerLinkActive="router-link-active" [routerLink]="properties.searchLinkToAdvancedResults"
+                    (click)="onLinkClick()">
+                    {{result.count | number}}
+                  </a>
+                </td>
+              </tr>
+            </ng-container>
+          </ng-container>
+        </tbody>
+      </table>
+      <no-load-paging *ngIf="results.length >pageSize"
+                      [type]="'content providers'"
+                      (pageChange)="updatePage($event)"
+                      [page]="page" [pageSize]="pageSize"
+                      [totalResults]="results.length">
+      </no-load-paging>
+    </div>
+  `
 })
 
 export class RelatedDatasourcesTabComponent {
     @Input() dataproviderId: string;
-    @Input() fetchPublications : FetchResearchResults;
-    @Input() fetchDatasets : FetchResearchResults;
-    @Input() fetchSoftware : FetchResearchResults;
-    @Input() fetchOrps: FetchResearchResults;
+    // @Input() fetchPublications : FetchResearchResults;
+    // @Input() fetchDatasets : FetchResearchResults;
+    // @Input() fetchSoftware : FetchResearchResults;
+    // @Input() fetchOrps: FetchResearchResults;
+    @Input() fetchResults: FetchResearchResults;
 
     // true: preprocessing is not over
     @Input() loading: boolean = true;
     // Εvery content provider's id is a single key of a map
-    @Input() results: Map<string, {"name": string, "countPublications": string, "countDatasets": string, "countSoftware": string, "countOrps": string}>;
+    //@Input() results: Map<string, {"name": string, "countPublications": string, "countDatasets": string, "countSoftware": string, "countOrps": string}>;
+    @Input() results: {"id": string, "name": string, "count": number}[];
     @Input() properties:EnvProperties ;
+    @Input() collectedFromName: string ="[no title available]";
+    @Input() modal: AlertModal;
 
-    public linkToSearchPublications: string = "";
-    public linkToSearchResearchData: string = "";
-    public linkToSearchSoftware: string = "";
-    public linkToSearchOrps: string = "";
-
     public routerHelper:RouterHelper = new RouterHelper();
     public errorCodes:ErrorCodes = new ErrorCodes();
 
@@ -118,12 +193,7 @@
 
     constructor () {}
 
-    ngOnInit() {
-      this.linkToSearchPublications = this.properties.searchLinkToAdvancedPublications;
-      this.linkToSearchResearchData = this.properties.searchLinkToAdvancedDatasets;
-      this.linkToSearchSoftware     = this.properties.searchLinkToAdvancedSoftware;
-      this.linkToSearchOrps         = this.properties.searchLinkToAdvancedOrps;
-    }
+    ngOnInit() {}
 
     ngOnDestroy() {}
 
@@ -142,4 +212,10 @@
     public getKeys( map) {
       return Array.from(map.keys());
     }
+
+    public onLinkClick() {
+      if(this.modal) {
+        this.modal.cancel();
+      }
+    }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.module.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.module.ts	(revision 58275)
@@ -34,6 +34,10 @@
 import { SEOServiceModule } from '../../sharedComponents/SEO/SEOService.module';
 import {ShowPublisherModule} from "../landing-utils/showPublisher.module";
 import {HelperModule} from "../../utils/helper/helper.module";
+import {LandingHeaderModule} from "../landing-utils/landing-header/landing-header.module";
+import {AlertModalModule} from "../../utils/modal/alertModal.module";
+import {NoLoadPaging} from "../../searchPages/searchUtils/no-load-paging.module";
+import {FeedbackModule} from "../feedback/feedback.module";
 
 @NgModule({
   imports:
@@ -40,7 +44,9 @@
     [CommonModule, FormsModule, RouterModule,
       TabResultModule, IFrameModule, ErrorMessagesModule, MetricsModule, LandingModule,
       DataProvidersServiceModule, ProjectsServiceModule, SearchResearchResultsServiceModule,
-      PagingModule, Schema2jsonldModule, SEOServiceModule, ShowPublisherModule, HelperModule],
+      PagingModule, Schema2jsonldModule, SEOServiceModule, ShowPublisherModule, HelperModule,
+      LandingHeaderModule, AlertModalModule, NoLoadPaging, FeedbackModule
+    ],
   declarations:
   [PublicationsTabComponent, DatasetsTabComponent, StatisticsTabComponent, ProjectsTabComponent, DatasourcesTabComponent, OrganizationsTabComponent,
     RelatedDatasourcesTabComponent, DataProviderComponent, SoftwareTabComponent, OrpsTabComponent
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/deletedByInference/deletedByInference.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/deletedByInference/deletedByInference.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/deletedByInference/deletedByInference.component.ts	(revision 58275)
@@ -8,59 +8,37 @@
 import {ErrorCodes}                   from '../../../utils/properties/errorCodes';
 
 import {OrganizationsDeletedByInferenceService}    from './deletedByInference.service';
+import {ResultLandingInfo} from "../../../utils/entities/resultLandingInfo";
+import {ResultPreview} from "../../../utils/result-preview/result-preview";
+import {AlertModal} from "../../../utils/modal/alert";
 
 @Component({
-    selector: 'deletedByInference',
+    selector: 'organizationsDeletedByInference',
     template: `
     <errorMessages [status]="[status]" [type]="type" tab_error_class=true></errorMessages>
-
-    <div>
-      <div *ngIf="results.length > pageSize" class="uk-margin-bottom">
-        <span class="uk-h6">{{results.length | number}} {{type}}, page {{page | number}} of {{totalPages(results.length) | number}}</span>
-        <paging-no-load class="uk-float-right" [currentPage]="page" [totalResults]="results.length" [size]="pageSize" (pageChange)="updatePage($event)"></paging-no-load>
-      </div>
-
-      <ul class="uk-list uk-list-divider  uk-margin">
-        <li *ngFor="let result of results.slice((page-1)*pageSize, page*pageSize)" class="uk-margin-bottom">
-          
-          <h5   *ngIf="result.title['url'] != undefined && result.title['url'] != null && result.title['url'] != ''"
-                  class="custom-external uk-margin-remove-bottom">
-  
-            <a *ngIf="result.title['name'] != undefined && result.title['name'] != ''"
-               href="{{result.title['url']}}" target="_blank"
-               [innerHTML]="result.title['name']">
-            </a>
-            <a *ngIf="result.title['name'] == undefined || result.title['name'] == ''"
-               href="{{result.title['url']}}" target="_blank">
-                [no title available]
-            </a>
-          </h5>
-          <h5 *ngIf="(result.title['name'] != undefined && result.title['name'] != '') &&
-                      (result.title['url'] == undefined || result.title['url'] == null || result.title['url'] == '')"
-              class="uk-margin-remove-bottom"
-            [innerHTML]="result.title['name']">
-          </h5>
-          <h5 *ngIf="(result.title['name'] == undefined || result.title['name'] == '') &&
-                      (result.title['url'] == undefined || result.title['url'] == null || result.title['url'] == '')"
-              class="uk-margin-remove-bottom">
-            [no title available]
-          </h5>
-          
-          <div *ngIf="result.title.name && result.title.name != result.name ">{{result.name}}</div>
-          <span class="uk-label custom-label label-blue label-organization" title="Type">Organization</span>{{" "}}
-          <span *ngIf="result.country" class="uk-label custom-label label-country "
-                title="Country">{{result.country}}</span>{{" "}}
-        </li>
-      </ul>
-    </div>
+    <no-load-paging *ngIf="results.length > pageSize" [type]="type"
+                    (pageChange)="updatePage($event)"
+                    [page]="page" [pageSize]="pageSize"
+                    [totalResults]="results.length">
+    </no-load-paging>
+    <ul class="uk-list uk-list-divider  uk-margin">
+      <li *ngFor="let result of results.slice((page-1)*pageSize, page*pageSize)">
+        <result-preview [modal]="modal" [properties]="properties" [result]="getResultPreview(result)"></result-preview>
+      </li>
+    </ul>
+    <no-load-paging *ngIf="results.length > pageSize" [type]="type"
+                    (pageChange)="updatePage($event)"
+                    [page]="page" [pageSize]="pageSize"
+                    [totalResults]="results.length">
+    </no-load-paging>
     `
 })
-
 export class OrganizationsDeletedByInferenceComponent {
   public results: OrganizationInfo[] = [];
   @Input() id: string;
   @Input() ids: string[] = [];
   @Input() type: string;
+  @Input() modal: AlertModal;
 
   // Custom tab paging variables
   public page: number = 1;
@@ -115,6 +93,10 @@
       }
     );
   }
+  
+  public getResultPreview(result: OrganizationInfo): ResultPreview {
+    return ResultPreview.organizationInfoConvert(result);
+  }
 
   public totalPages(totalResults: number): number {
     let totalPages:any = totalResults/this.pageSize;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/deletedByInference/deletedByInference.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/deletedByInference/deletedByInference.module.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/deletedByInference/deletedByInference.module.ts	(revision 58275)
@@ -12,11 +12,13 @@
  import {ErrorMessagesModule} from '../../../utils/errorMessages.module';
 import {ShowAuthorsModule} from "../../../utils/authors/showAuthors.module";
 import {LandingModule} from "../../landing-utils/landing.module";
+import {NoLoadPaging} from "../../../searchPages/searchUtils/no-load-paging.module";
+import {ResultPreviewModule} from "../../../utils/result-preview/result-preview.module";
 
 @NgModule({
   imports: [
     CommonModule, FormsModule, ResultLandingUtilsModule,
-    PagingModule, ErrorMessagesModule, ShowAuthorsModule, LandingModule
+    PagingModule, ErrorMessagesModule, ShowAuthorsModule, LandingModule, NoLoadPaging, ResultPreviewModule
   ],
   declarations: [
     OrganizationsDeletedByInferenceComponent
